PHPExcel_DocumentProperties

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_DocumentProperties

    __construct()

## convertProperty()

    convertProperty($propertyValue, $propertyType)

Static

### Parameters

#### $propertyValue

#### $propertyType

## convertPropertyType()

    convertPropertyType($propertyType)

Static

### Parameters

#### $propertyType

## Get Category

    getCategory() : string

### Returns

`string`

## Get Company

    getCompany() : string

### Returns

`string`

## Get Created

    getCreated() : \datetime

### Returns

`\datetime`

## Get Creator

    getCreator() : string

### Returns

`string`

## Get a List of Custom Property Names

    getCustomProperties() : array

### Returns

`array`of string

## Get a Custom Property Type

    getCustomPropertyType(string $propertyName) : string

### Parameters

#### $propertyName

`string`

### Returns

`string`

## Get a Custom Property Value

    getCustomPropertyValue(string $propertyName) : string

### Parameters

#### $propertyName

`string`

### Returns

`string`

## Get Description

    getDescription() : string

### Returns

`string`

## Get Keywords

    getKeywords() : string

### Returns

`string`

## Get Last Modified By

    getLastModifiedBy() : string

### Returns

`string`

## Get Manager

    getManager() : string

### Returns

`string`

## Get Modified

    getModified() : \datetime

### Returns

`\datetime`

## Get Subject

    getSubject() : string

### Returns

`string`

## Get Title

    getTitle() : string

### Returns

`string`

## Check if a Custom Property is defined

    isCustomPropertySet(string $propertyName) : boolean

### Parameters

#### $propertyName

`string`

### Returns

`boolean`

## Set Category

    setCategory(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Company

    setCompany(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Created

    setCreated(\datetime $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`\datetime`

### Returns

`\PHPExcel_DocumentProperties`

## Set Creator

    setCreator(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set a Custom Property

    setCustomProperty(string $propertyName, mixed $propertyValue, string $propertyType) : \PHPExcel_DocumentProperties

### Parameters

#### $propertyName

`string`

#### $propertyValue

`mixed`

#### $propertyType

`string`

'i' : Integer 'f' : Floating Point 's' : String 'd' : Date/Time 'b' : Boolean

### Returns

`\PHPExcel_DocumentProperties`

## Set Description

    setDescription(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Keywords

    setKeywords(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Last Modified By

    setLastModifiedBy(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Manager

    setManager(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Modified

    setModified(\datetime $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`\datetime`

### Returns

`\PHPExcel_DocumentProperties`

## Set Subject

    setSubject(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

## Set Title

    setTitle(string $pValue) : \PHPExcel_DocumentProperties

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_DocumentProperties`

### Properties

##

    $_category : string

##

    $_company : string

##

    $_created : \datetime

##

    $_creator : string

##

    $_customProperties : string

##

    $_description : string

##

    $_keywords : string

##

    $_lastModifiedBy : string

##

    $_manager : string

##

    $_modified : \datetime

##

    $_subject : string

##

    $_title : string

### Constants

    PROPERTY_TYPE_BOOLEAN

## PROPERTY_TYPE_DATE

    PROPERTY_TYPE_DATE

## PROPERTY_TYPE_FLOAT

    PROPERTY_TYPE_FLOAT

## PROPERTY_TYPE_INTEGER

    PROPERTY_TYPE_INTEGER

## PROPERTY_TYPE_STRING

    PROPERTY_TYPE_STRING

## PROPERTY_TYPE_UNKNOWN

    PROPERTY_TYPE_UNKNOWN